Bug 863966 - Cannot login with Active Directory account
Cannot login with Active Directory account
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 04:17 EDT by Cyril Sluchanko
Modified: 2013-08-01 06:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:28:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current /etc/pam.d/gdm-welcome (677 bytes, application/octet-stream)
2012-10-08 04:18 EDT, Cyril Sluchanko
no flags Details
Current /etc/pam.d/password-auth (1.28 KB, application/octet-stream)
2012-10-08 04:19 EDT, Cyril Sluchanko
no flags Details
Current /etc/pam.d/system-auth (1.52 KB, application/octet-stream)
2012-10-08 04:20 EDT, Cyril Sluchanko
no flags Details
Content of /var/log/messages related to login process (120.63 KB, application/octet-stream)
2012-10-08 04:53 EDT, Cyril Sluchanko
no flags Details

  None (edit)
Description Cyril Sluchanko 2012-10-08 04:17:38 EDT
Description of problem: After last gdm upgrade to version 3.4.1-3.fc17.x86_64 I cannot login with Active Directory account vis gdm. Console login works fine and I can start GNOME via startx; local users can login with gdm.


Version-Release number of selected component (if applicable): gdm-3.4.1-3.fc17.x86_64


How reproducible: I'm not sure if it is reproducable in any environment.


Steps to Reproduce:
1. Start system
2. Select AD user from list or enter username manually
3. Enter passord and press Enter
  
Actual results: Black screen for a couple of seconds and then greeter restarts, no user session opens.


Expected results: User session has to open.


Additional info: I've added my PAM configuration files for system-auth, password-auth and gdm-welcome. gdm-welcome is modified as original version with 'auth  include  system-auth' blocks gdm from functioning at all - I saw black screen with rolling clock cursor and no welcome screen.
Comment 1 Cyril Sluchanko 2012-10-08 04:18:57 EDT
Created attachment 623328 [details]
Current /etc/pam.d/gdm-welcome
Comment 2 Cyril Sluchanko 2012-10-08 04:19:50 EDT
Created attachment 623329 [details]
Current /etc/pam.d/password-auth
Comment 3 Cyril Sluchanko 2012-10-08 04:20:35 EDT
Created attachment 623330 [details]
Current /etc/pam.d/system-auth
Comment 4 Cyril Sluchanko 2012-10-08 04:53:33 EDT
Created attachment 623345 [details]
Content of /var/log/messages related to login process
Comment 5 Fedora End Of Life 2013-07-03 23:12:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 06:28:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.